package com.example.mdd.entity;

import lombok.Data;

@Data
public class HeFeng {
    String id;
    //场站编号
    String stationCode;
    //经度
    String longitude;
    //纬度
    String latitude;
    //预报时间
    String fxTime;
    //温度,默认单位：摄氏度
    String temp;
    //天气状况的文字描述，包括阴晴雨雪等天气状态的描述
    String text;
    //风向
    String windDir;
    //风向360角度
    String wind360;
    //风速,公里/小时
    String windSpeed;
    //风力等级
    String windScale;
    //相对湿度
    String humidity;
    //云量，百分比数值。可能为空
    String cloud;
    //当前小时累计降水量，默认单位：毫米
    String precip;
    //露点温度。可能为空
    String dew;


}
