package com.example.mdd.job;

import com.example.mdd.service.BaiDuDownload;
import com.example.mdd.service.MeteorologicalDataDownload;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


@Slf4j
@Service
@EnableScheduling
public class Complements {
    @Resource
    MeteorologicalDataDownload md;
    @Resource
    BaiDuDownload d;

    //百度气象补数 只执行一次
    @Scheduled(fixedDelay = Long.MAX_VALUE)
    public void download() {
        d.complements();
    }
}
